Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# LandingPage Class Reference

List of all members.

## Public Member Functions
def | __init__
def | addQuickStat
def | addTab
def | getDescription
def | getFavIcon
def | getFooter
def | getHeader
def | getMainPage
def | getMenu
def | getMenuTags
def | getQuickStatsTable
def | getServicesPage
def | getStyleSheet
def | incrementQuickStat
def | populateMainPage
def | readFavIcon
def | setContactInfo
def | setDescription
def | setTitle
def | skin
def | updateQuickStat
## Public Attributes
| favicon
| footerTemplate
| headerTemplate
| menu
| quickStats
| uriToTitle
## Static Public Attributes
tuple | notify = directNotify.newCategory("LandingPage")

## Constructor & Destructor Documentation

def __init__ | ( |  | self | ) |

## Member Function Documentation

def addQuickStat | ( |  | self,
|  |  | item,
|  |  | value,
|  |  | position
| ) |  |

def addTab | ( |  | self,
|  |  | title,
|  |  | uri
| ) |  |

def getDescription | ( |  | self | ) |

def getFavIcon | ( |  | self | ) |

def getFooter | ( |  | self | ) |

def getHeader | ( |  | self,
|  |  | activeTab = `"Main"`,
|  |  | headTag = `None`,
|  |  | bodyTag = `None`
| ) |  |

def getMainPage | ( |  | self | ) |

def getMenu | ( |  | self,
|  |  | activeTab
| ) |  |

def getMenuTags | ( |  | self,
|  |  | activeTab
| ) |  |

def getQuickStatsTable | ( |  | self | ) |

def getServicesPage | ( |  | self,
|  |  | uriToHandler
| ) |  |

def getStyleSheet | ( |  | self | ) |

def incrementQuickStat | ( |  | self,
|  |  | item
| ) |  |

def populateMainPage | ( |  | self,
|  |  | body
| ) |  |

def readFavIcon | ( |  | self | ) |

def setContactInfo | ( |  | self,
|  |  | info
| ) |  |

def setDescription | ( |  | self,
|  |  | desc
| ) |  |

def setTitle | ( |  | self,
|  |  | title
| ) |  |

def skin | ( |  | self,
|  |  | body,
|  |  | uri,
|  |  | headTag = `None`,
|  |  | bodyTag = `None`
| ) |  |

def updateQuickStat | ( |  | self,
|  |  | item,
|  |  | value
| ) |  |

## Member Data Documentation

favicon

footerTemplate

headerTemplate

menu

tuple notify = directNotify.newCategory("LandingPage")`[static]`

quickStats

uriToTitle

All Classes Namespaces Functions Variables Enumerations Enumerator Properties